Package org.apache.lucene.util

# Interface NamedSPILoader.NamedSPI

All Known Implementing Classes:
  `Codec`, `DocValuesFormat`, `FilterCodec`, `FlatVectorsFormat`, `KnnVectorsFormat`, `Lucene100Codec`, `Lucene90DocValuesFormat`, `Lucene912PostingsFormat`, `Lucene99FlatVectorsFormat`, `Lucene99HnswScalarQuantizedVectorsFormat`, `Lucene99HnswVectorsFormat`, `Lucene99ScalarQuantizedVectorsFormat`, `PerFieldDocValuesFormat`, `PerFieldKnnVectorsFormat`, `PerFieldPostingsFormat`, `PostingsFormat`, `SortedNumericSortField.Provider`, `SortedSetSortField.Provider`, `SortField.Provider`, `SortFieldProvider`

Enclosing class:
  `NamedSPILoader<S extends NamedSPILoader.NamedSPI>`

public static interface NamedSPILoader.NamedSPI
Interface to support `NamedSPILoader.lookup(String)` by name.

Names must be all ascii alphanumeric, and less than 128 characters in length.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

## Method Details

### getName

String getName()